Package org.creativecommons.nutch

## Class CCParseFilter.Walker

- java.lang.Object
- - org.creativecommons.nutch.CCParseFilter.Walker

- Enclosing class:
    CCParseFilter

      public static class CCParseFilter.Walker
      extends Object

  Walks DOM tree, looking for RDF in comments and licenses in anchors.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `walk​(Node doc, URL base, Metadata metadata, Configuration conf)` | Scan the document adding attributes to metadata.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### walk

          public static void walk​(Node doc,
                                  URL base,
                                  Metadata metadata,
                                  Configuration conf)
                           throws ParseException

      Scan the document adding attributes to metadata.
      Parameters:
        `doc` - the `Node` to walk and process
        `base` - canonical url
        `metadata` - url `Metadata`
        `conf` - a populated `Configuration`
      Throws:
        `ParseException` - if there is a fatal error or if `creativecommons.exclude.unlicensed` is set to true